package com.ruoyi.buyerapi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 辅助帐导出对象 buyer_auxiliary_voucher
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
public class BuyerVoucherInfoTotalExport
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "项目编号")
    private String projectCode;

    @Excel(name = "项目名称")
    private String projectName;

    @Excel(name = "完成情况")
    private String projectStatus;

    @Excel(name = "支出类型")
    private String expenseType;

    @Excel(name = "允许加计扣除金额合计")
    private BigDecimal deductionAmount = new BigDecimal(0);


    /** 会计凭证记载金额 */
    @Excel(name = "会计凭证记载金额")
    private BigDecimal accountAmount = new BigDecimal(0);

    /** 人员人工费用 */
    @Excel(name = "人员人工费用")
    private BigDecimal type1Amount = new BigDecimal(0);

    /** 直接投入费用 */
    @Excel(name = "直接投入费用")
    private BigDecimal type2Amount = new BigDecimal(0);

    /** 折旧费用 */
    @Excel(name = "折旧费用与长期待摊费用")
    private BigDecimal type3Amount = new BigDecimal(0);

    /** 无形资产摊销费用 */
    @Excel(name = "无形资产摊销费用")
    private BigDecimal type4Amount = new BigDecimal(0);

    /** 设计费用 */
    @Excel(name = "设计费用")
    private BigDecimal type5Amount = new BigDecimal(0);

//    /** 装备调试费用与试验费用 */
//    @Excel(name = "装备调试费用与试验费用")
//    private BigDecimal type6Amount = new BigDecimal(0);

    @Excel(name = "前六项小计")
    private BigDecimal type66Amount = new BigDecimal(0);

    @Excel(name = "委托境内机构或个人进行研发活动所发生的费用）")
    private BigDecimal type7Amount = new BigDecimal(0);

    @Excel(name = "允许加计扣除的委托境内机构或个人进行研发活动所发生的费用）")
    private BigDecimal type71Amount = new BigDecimal(0);

    @Excel(name = "委托境外机构进行研发活动所发生的费用")
    private BigDecimal type8Amount = new BigDecimal(0);

    @Excel(name = "经限额调整后的委托境外机构进行研发活动所发生的费用")
    private BigDecimal type81Amount = new BigDecimal(0);

    @Excel(name = "其他相关费用合计")
    private BigDecimal type9Amount = new BigDecimal(0);

    @Excel(name = "经限额调整后的其他相关费用")
    private BigDecimal type91Amount = new BigDecimal(0);

}
